package org.apache.maven.scm;

/*
 * Copyright 2001-2006 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @author <a href="evenisse@apache.org">Emmanuel Venisse</a>
 * @version $Id: ScmException.java 372209 2006-01-25 13:30:01Z evenisse $
 */
public class ScmException
    extends Exception
{
    /**
     * @param message
     */
    public ScmException( String message )
    {
        super( message );
    }

    /**
     * @param message
     * @param cause
     */
    public ScmException( String message, Throwable cause )
    {
        super( message, cause );
    }
}
