/*
 * $Id$
 */

package org.apache.maven.scm.providers.clearcase.settings;

/**
 * null
 * 
 * @version $Revision$ $Date$
 */
public class Settings implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field viewstore
     */
    private String viewstore;

    /**
     * Field useVWSParameter
     */
    private boolean useVWSParameter = true;

    /**
     * Field clearcaseLT
     */
    private boolean clearcaseLT = false;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Get Clearcase viewstore path
     */
    public String getViewstore()
    {
        return this.viewstore;
    } //-- String getViewstore() 

    /**
     * Get Are you using ClearCase LT version ?
     */
    public boolean isClearcaseLT()
    {
        return this.clearcaseLT;
    } //-- boolean isClearcaseLT() 

    /**
     * Get Do you want to use vws parameter when clearcase provider
     * run mkview?
     */
    public boolean isUseVWSParameter()
    {
        return this.useVWSParameter;
    } //-- boolean isUseVWSParameter() 

    /**
     * Set Are you using ClearCase LT version ?
     * 
     * @param clearcaseLT
     */
    public void setClearcaseLT(boolean clearcaseLT)
    {
        this.clearcaseLT = clearcaseLT;
    } //-- void setClearcaseLT(boolean) 

    /**
     * Set Do you want to use vws parameter when clearcase provider
     * run mkview?
     * 
     * @param useVWSParameter
     */
    public void setUseVWSParameter(boolean useVWSParameter)
    {
        this.useVWSParameter = useVWSParameter;
    } //-- void setUseVWSParameter(boolean) 

    /**
     * Set Clearcase viewstore path
     * 
     * @param viewstore
     */
    public void setViewstore(String viewstore)
    {
        this.viewstore = viewstore;
    } //-- void setViewstore(String) 


    private String modelEncoding = "UTF-8";

    public void setModelEncoding( String modelEncoding )
    {
        this.modelEncoding = modelEncoding;
    }

    public String getModelEncoding()
    {
        return modelEncoding;
    }}
